Bug 9020 - Пакет должен обсолетить freetype
: Пакет должен обсолетить freetype
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/freetype2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-06 00:21 by
Modified: 2007-04-06 15:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-06 00:21:57
При обновлении: 
file /usr/bin/ftview from install of freetype2-demos-2.1.10-alt1.1 conflicts  
with file from package freetype-1.3.1-alt4  
 
Надо обсолетить freetype, тем более что в ближайшее время его не станет.
------- Comment #1 From 2006-02-06 00:31:16 -------
Пакет freetype не исчезнет, пока существует magicpoint, который им пользуется.
Если хотите избавиться от freetype, то сначала поколдуйте над magicpoint.
------- Comment #2 From 2006-09-16 23:44:38 -------
колдовать не умею
------- Comment #3 From 2006-09-17 03:16:37 -------
Ну хоть кто-то не колдует в наше время ;)
не вижу причины не внести во freetype2-demos
Obsoletes: freetype
------- Comment #4 From 2006-09-17 03:30:57 -------
Я протестую.  Мне ещё нужен пакет magicpoint, поэтому не надо выкидывать пакет
freetype.  Хотите написать conflict - пишите, но не obsolete.
------- Comment #5 From 2006-09-17 10:42:11 -------
на самом деле нужно оставить только libttf.so.2.2.0.
предлагаю сделать следующее - libfreetype обсолетит freetype, при этом в 
libfreetype кладем freetype и собираем libttf.so.2.2.0 вместе с libfreetype
------- Comment #6 From 2006-09-17 11:52:40 -------
Ой, я ошибся, конечно conflict, как и полагается в случае одинаковых файлов.
P.S.
magicpoint поновее я уже несколько раз собирал, но русский так и не поборол.
------- Comment #7 From 2006-09-17 17:28:21 -------
Давайте переименуем freetype/freetype-devel в libttf/libttf-devel и уберём
оттуда всё лишнее.
------- Comment #8 From 2006-09-17 18:08:17 -------
ну или так. Дим, займешься?

P.S. почему то мне перестали приходить письма от багзилы
------- Comment #9 From 2007-02-23 19:45:07 -------
а что мешает собрать magicpoint с freetype2?
------- Comment #10 From 2007-02-23 19:50:53 -------
Когда я последний раз смотрел сборку magicpoint, это было нереально.
------- Comment #11 From 2007-02-23 20:06:15 -------
посмотрим, заодно соберу 1.12a
------- Comment #12 From 2007-02-24 00:52:56 -------
я собирал magicpoint 1.11b с freetype2, но не смог побороть проблем с 
кодировками.
------- Comment #13 From 2007-03-07 11:55:45 -------
есть еще вариант - сделать как в RH, у них оба freetype в одном пакете
------- Comment #14 From 2007-03-07 11:57:47 -------
*** Bug 9648 has been marked as a duplicate of this bug. ***
------- Comment #15 From 2007-03-26 19:38:51 -------
конфликт есть в libfreetype-demos-2.3.2-alt1